<mat-progress-bar *ngIf="showLoadProductsProgressIndicator" mode="indeterminate"></mat-progress-bar>
<div class="selectProductContainer">
  <div class="tables">
    <app-timeslot-table *ngIf="productsByEvent && timeslots && tallies"
                        [products]="productsByEvent"
                        [timeslots]="timeslots"
                        [tallies]="tallies"
    ></app-timeslot-table>
    <app-tally-table *ngIf="tallies && productsByEvent" [products]="productsByEvent" [tallies]="tallies"
                     (onTallyCancelled)="onTallyCancelled($event)"></app-tally-table>
  </div>
  <div class="productCards">
    <app-product-card *ngFor="let product of enabledProductsByLocation"
                      [product]="product"
                      [tallyCount]="getTallyCountByProduct(product.id)"
                      (onProductSelect)="onProductSelected($event)"
    ></app-product-card>
  </div>
</div>
